Get Placement Settings
Get placement settings
Get placement settings
Request
URI
GET
https://{api_host}/suite-api/api/optimization/workloadplacement/{dataCenterId}/settings
COPY
Path Parameters
string
dataCenterId
Required
Identifier of the dataCenter
Responses
200
Get placement settings
Returns
workload-placement-settings
of type(s)
application/json
"{\n \"taggingScope\" : \"CLUSTER_BASED\",\n \"tagGroups\" : [ {\n \"name\" : \"Operating System\",\n \"prioritized\" : true,\n \"tags\" : [ ],\n \"resourceTags\" : [ {\n \"category\" : \"tag_category_1\",\n \"name\" : \"tag_name_1\"\n }, {\n \"category\" : \"tag_category_1\",\n \"name\" : \"tag_name_2\"\n } ]\n }, {\n \"name\" : \"Network\",\n \"prioritized\" : false,\n \"tags\" : [ ],\n \"resourceTags\" : [ ]\n } ],\n \"excludedClusterTagGroups\" : [ {\n \"name\" : \"Operating System\",\n \"tags\" : [ ],\n \"resourceTags\" : [ {\n \"category\" : \"tag_category_2\",\n \"name\" : \"tag_name_1\"\n }, {\n \"category\" : \"tag_category_2\",\n \"name\" : \"tag_name_2\"\n } ]\n } ],\n \"excludedVmTagGroups\" : [ ],\n \"placementSettingsEnabled\" : true,\n \"clusterExclusionEnabled\" : false,\n \"vmExclusionEnabled\" : false\n}"
boolean
clusterExclusionEnabled
Optional
Turn off exclusion settings for Cluster. By default 'false'.
array of
object
excludedClusterTagGroups
Optional
Collection of cluster excluded tag groups
array of
object
excludedVmTagGroups
Optional
Collection of VM excluded tag groups
boolean
placementSettingsEnabled
Optional
Turn off placement settings. Criteria defined in 'tagGroups' will no longer be considered for VM placement. By default 'true'.
array of
object
tagGroups
Optional
All tag groups
string
taggingScope
Optional
Tagging Scope
Possible values are :
CLUSTER_BASED,
HOST_BASED,
UNKNOWN,
boolean
vmExclusionEnabled
Optional
Turn off exclusion settings for VM. By default 'false'.
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/optimization/workloadplacement/{dataCenterId}/settings
Optimization Operations
GET
Get DC Optimization Configuration
PATCH
Patch DC Optimization Configuration
PUT
Put DC Optimization Configuration
GET
Get Reclaim Data
GET
Get Rightsize Data
POST
Exclude Orphaned Disks
POST
Include Orphaned Disks
POST
Exclude Reclaim V Ms
POST
Include Reclaim V Ms
POST
Exclude Rightsizing V Ms
POST
Include Rightsizing V Ms
POST
Get Wlp History
PUT
Disable Automation
PUT
Enable Automation
GET
Get Automation Status
PUT
Disable Cross DC Move
PUT
Enable Cross DC Move
GET
Get Cross DC Move Status
DELETE
Delete Placement Configuration
GET
Get Placement Settings
PUT
Set Placement Settings